Public Class frmColleges

  Dim colleges As XElement = XElement.Load("Colleges.xml")

  Private Sub btnDisplay_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnDisplay.Click
    'Display the colleges in Colleges.xml located in the given state
    Dim chosenState As String = mtbState.Text.ToUpper   'mask LL
    Dim query = From col In colleges.Descendants("college")
                Let name = col.<name>.Value
                Let state = col.<state>.Value
                Let yearFounded = col.<yearFounded>.Value
                Where state = chosenState
                Order By name Ascending
                Select name & " " & yearFounded
    lstColleges.DataSource = query.ToList
    lstColleges.SelectedItem = Nothing
  End Sub

End Class
